/*
 *  psychlops_g_canvas3d_prototype.h
 *  Psychlops Standard Library (Universal)
 *
 *  Last Modified 2005/10/05 by Kenchi HOSOKAWA
 *  (C) 2005 Kenchi HOSOKAWA, Kazushi MARUYA, Takao SATO
 */

#ifndef HEADER_PSYCHLOPS_GRAPHIC_CANVAS_PROTOTYPE
#define HEADER_PSYCHLOPS_GRAPHIC_CANVAS_PROTOTYPE

#include "../../../psychlops_core.h"

namespace Psychlops {

	class APICanvasProperties;
	class Canvas3D : public Canvas
	{
		protected:
		virtual void initAPIprop();
		virtual void initAPIattributes();

		void popMatrixes();
		void loadOrthoProjection();

		public:
//		Canvas3D(void);
//		Canvas3D(CanvasMode mode);
//		Canvas3D(int d_width, int d_height, int d_colordepth, double d_refreshrate, CanvasMode mode = fullscreen);
		virtual ~Canvas3D(void);

		public:
		virtual void flip(int and_wait_N_vsyncs=1);
	};


}	/*	<- namespace Psycholops 	*/

#endif
